Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1114065 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

API for creating a content host fails with: "Cp type is not included in the list". cp type isn't among the list of required API parameters.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140619.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1. call API to create/register a content host:

curl -s -H "Content-Type:application/json" -H "Accept:application/json,version=2" -k -u admin:changeme -X POST -d'{"name":"one",

"organization_id":1, "type":"content host", "facts":{"1":1}}' `hostname`/katello/api/systems

Actual results:

API fails with: {

"displayMessage": "Validation failed: Cp type is not included in the list",

"errors": {

"cp_type": [

"is not included in the list"

]

}

}

Expected results:

content host created/registered

Additional info:

This is a blocker for system profile migration from Sat5.

Associated revisions

Revision 4d138cc9 - 07/02/2014 04:54 PM - dustin tsang

Fixes #6448 - CH create w/o type and doc BZ1114065

fixes 2 issues:

1) fails to create system without type being set

2) correct documenation around the type parameter that

asks the user to use the value 'content host' as the type

Revision ca3de6d7 - 07/02/2014 05:36 PM - Justin Sherrill

Merge pull request #4369 from dustint-rh/create_CH_with_type

Fixes #6448 - cr/update CH with type CH BZ1114065
History

#1 - 07/02/2014 06:01 PM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|4d138cc913f9341c200e1bfeecc7b8ebb18cdb90.

#2 - 07/07/2014 11:03 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
